zenilib: Zeni::Configurator_Video Class Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Classes | Public Member Functions | Public Attributes | List of all members
Zeni::Configurator_Video Class Reference
Zenilib

Configure zenilib.xml. More...

`#include <Configurator_Video.h>`

Inherits Zeni::Widget_Gamestate.

## Classes

class | Check_State

## Public Member Functions

| Configurator_Video ()
| ~Configurator_Video ()
Public Member Functions inherited from Zeni::Widget_Gamestate
| Widget_Gamestate (const std::pair< Point2f, Point2f > &virtual_window_, const bool &fix_aspect_ratio_=true)
const bool & | fix_aspect_ratio () const
const std::pair< Point2f, Point2f > & | get_virtual_window () const
void | on_key (const SDL_KeyboardEvent &event)
| Override this input callback in your Gamestates. See SDL documentation for details. More...
void | on_mouse_button (const SDL_MouseButtonEvent &event)
| Override this input callback in your Gamestates. See SDL documentation for details. More...
void | on_mouse_motion (const SDL_MouseMotionEvent &event)
| Override this input callback in your Gamestates. See SDL documentation for details. More...
void | on_pop ()
| Called when the Gamestate is popped off the stack in Game. More...
void | on_push ()
| Called when the Gamestate is pushed onto the stack in Game. More...
void | perform_logic ()
| Then perform logic. Called by Game as part of the main gameloop. More...
void | render ()
| Then render. Called by Game as part of the main gameloop. More...
Public Member Functions inherited from Zeni::Gamestate_Base
| Gamestate_Base ()
virtual | ~Gamestate_Base ()
const bool & | is_pausable () const
virtual void | on_cover ()
| Called when a Gamestate is pushed on top of this Gamestate in Game. More...
virtual void | on_event (const SDL_Event &event)
| First check for events. Called by Game as part of the main gameloop. More...
virtual void | on_uncover ()
| Called when a Gamestate is popped off Game, making this Gamestate on top. More...
virtual void | prerender ()
| No actual rendering, but any logic strictly necessary for rendering. More...
void | set_pausable (const bool &pausable_)

## Public Attributes

Slider_Element | anisotropy
Selector_Element | api
Check_Box_Element | bilinear_filtering
Cancel_Button | cancel
Text_Element | custom_height
Custom_Resolution_Box | custom_resolution
Text_Element | custom_width
Check_Box_Element | full_screen
Check_Box_Element | mipmapping
Slider_Element | multisampling
Resolution_Element | resolution
Apply_Button | save
Check_Box_Element | vertical_sync

## Additional Inherited Members

Static Public Member Functions inherited from Zeni::Gamestate_Base
static char | to_char (const SDL_Keysym &ks)
| Returns a character key corresponding to the current combination of keys pressed or the null character (0). More...
static SDL_Keycode | to_sym (const String &text_version)
| Convert a text representation to an actual sym. More...
static String | to_text (const SDL_Keycode &sym)
| Convert a sym to a text representation. More...
Protected Member Functions inherited from Zeni::Gamestate_Base
virtual void | on_active (const SDL_ActiveEvent &event)
| Override this input callback in your Gamestates. See SDL documentation for details. More...
virtual void | on_controller_axis (const SDL_ControllerAxisEvent &event)
| Override this input callback in your Gamestates. See SDL documentation for details. More...
virtual void | on_controller_button (const SDL_ControllerButtonEvent &event)
| Override this input callback in your Gamestates. See SDL documentation for details. More...
virtual void | on_controller_device (const SDL_ControllerDeviceEvent &event)
| Override this input callback in your Gamestates. See SDL documentation for details. More...
virtual void | on_quit (const SDL_QuitEvent &event)
| Override this input callback in your Gamestates. See SDL documentation for details. More...
virtual void | on_system_wm_event (const SDL_SysWMEvent &event)
| Override this input callback in your Gamestates. See SDL documentation for details. More...
virtual void | on_user_event (const SDL_UserEvent &event)
| Override this input callback in your Gamestates. See SDL documentation for details. More...
virtual void | on_video_expose (const SDL_ExposeEvent &event)
| Override this input callback in your Gamestates. See SDL documentation for details. More...
virtual void | on_video_resize (const SDL_ResizeEvent &event)
| Override this input callback in your Gamestates. See SDL documentation for details. More...
Protected Attributes inherited from Zeni::Widget_Gamestate
Widgets | m_widgets

## Detailed Description

Configure zenilib.xml.

Author
  bazald

Contact: bazal.nosp@m.d@ze.nosp@m.nipex.nosp@m..com

Definition at line 39 of file Configurator_Video.h.

## Constructor & Destructor Documentation

Zeni::Configurator_Video::Configurator_Video | ( |  | ) |

Build m_widgets

Set Title

Definition at line 386 of file Configurator_Video.cpp.

References anisotropy, bilinear_filtering, cancel, custom_height, custom_resolution, custom_width, Zeni::String::find(), full_screen, Zeni::get_Video(), Zeni::get_Window(), Zeni::Widgets::lend_Widget(), Zeni::Widget_Gamestate::m_widgets, mipmapping, multisampling, resolution, save, Zeni::Window::set_title(), Zeni::String::substr(), and vertical_sync.

Zeni::Configurator_Video::~Configurator_Video | ( |  | ) |

Definition at line 470 of file Configurator_Video.cpp.

References Zeni::get_Window(), and Zeni::Window::set_title().

## Member Data Documentation

Slider_Element Zeni::Configurator_Video::anisotropy

Definition at line 251 of file Configurator_Video.h.

Referenced by Configurator_Video().

Selector_Element Zeni::Configurator_Video::api

Definition at line 255 of file Configurator_Video.h.

Check_Box_Element Zeni::Configurator_Video::bilinear_filtering

Definition at line 252 of file Configurator_Video.h.

Referenced by Configurator_Video().

Cancel_Button Zeni::Configurator_Video::cancel

Definition at line 267 of file Configurator_Video.h.

Referenced by Configurator_Video().

Text_Element Zeni::Configurator_Video::custom_height

Definition at line 262 of file Configurator_Video.h.

Referenced by Configurator_Video().

Custom_Resolution_Box Zeni::Configurator_Video::custom_resolution

Definition at line 260 of file Configurator_Video.h.

Referenced by Configurator_Video().

Text_Element Zeni::Configurator_Video::custom_width

Definition at line 261 of file Configurator_Video.h.

Referenced by Configurator_Video().

Check_Box_Element Zeni::Configurator_Video::full_screen

Definition at line 256 of file Configurator_Video.h.

Referenced by Configurator_Video().

Check_Box_Element Zeni::Configurator_Video::mipmapping

Definition at line 253 of file Configurator_Video.h.

Referenced by Configurator_Video().

Slider_Element Zeni::Configurator_Video::multisampling

Definition at line 257 of file Configurator_Video.h.

Referenced by Configurator_Video().

Resolution_Element Zeni::Configurator_Video::resolution

Definition at line 259 of file Configurator_Video.h.

Referenced by Configurator_Video().

Apply_Button Zeni::Configurator_Video::save

Definition at line 266 of file Configurator_Video.h.

Referenced by Configurator_Video().

Check_Box_Element Zeni::Configurator_Video::vertical_sync

Definition at line 264 of file Configurator_Video.h.

Referenced by Configurator_Video().

The documentation for this class was generated from the following files:

- zenilib/jni/external/zenilib/zeni_rest/Zeni/Configurator_Video.h
- zenilib/jni/external/zenilib/zeni_rest/Configurator_Video.cpp